package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 暂存柜-台账对象 t_zcg_tz
 *
 * @author hxhq
 * @date 2025-12-19
 */
@TableName("t_zcg_tz")
public class ZcgTz extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 暂存柜id */
    private Long zcgId;

    /** 钥匙1领取人id */
    private Long lqr1Id;

    /** 钥匙1领取人名称 */
    private String lqr1Mc;

    /** 钥匙2领取人id */
    private Long lqr2Id;

    /** 钥匙2领取人名称 */
    private String lqr2Mc;

    /** 钥匙1归还人id */
    private Long ghr1Id;

    /** 钥匙1归还人名称 */
    private String ghr1Mc;

    /** 钥匙2归还人id */
    private Long ghr2Id;

    /** 钥匙2归还人名称 */
    private String ghr2Mc;

    /** 接收人id */
    private Long jsrId;

    /** 接收人名称 */
    private String jsrMc;

    /** 发放人id */
    private Long ffrId;

    /** 发放人名称 */
    private String ffrMc;

    /** 签名意义 */
    private String qmyy;


    public void setZcgId(Long zcgId)
    {
        this.zcgId = zcgId;
    }

    public Long getZcgId()
    {
        return zcgId;
    }

    public void setLqr1Id(Long lqr1Id)
    {
        this.lqr1Id = lqr1Id;
    }

    public Long getLqr1Id()
    {
        return lqr1Id;
    }

    public void setLqr1Mc(String lqr1Mc)
    {
        this.lqr1Mc = lqr1Mc;
    }

    public String getLqr1Mc()
    {
        return lqr1Mc;
    }

    public void setLqr2Id(Long lqr2Id)
    {
        this.lqr2Id = lqr2Id;
    }

    public Long getLqr2Id()
    {
        return lqr2Id;
    }

    public void setLqr2Mc(String lqr2Mc)
    {
        this.lqr2Mc = lqr2Mc;
    }

    public String getLqr2Mc()
    {
        return lqr2Mc;
    }

    public void setGhr1Id(Long ghr1Id)
    {
        this.ghr1Id = ghr1Id;
    }

    public Long getGhr1Id()
    {
        return ghr1Id;
    }

    public void setGhr1Mc(String ghr1Mc)
    {
        this.ghr1Mc = ghr1Mc;
    }

    public String getGhr1Mc()
    {
        return ghr1Mc;
    }

    public void setGhr2Id(Long ghr2Id)
    {
        this.ghr2Id = ghr2Id;
    }

    public Long getGhr2Id()
    {
        return ghr2Id;
    }

    public void setGhr2Mc(String ghr2Mc)
    {
        this.ghr2Mc = ghr2Mc;
    }

    public String getGhr2Mc()
    {
        return ghr2Mc;
    }

    public void setJsrId(Long jsrId)
    {
        this.jsrId = jsrId;
    }

    public Long getJsrId()
    {
        return jsrId;
    }

    public void setJsrMc(String jsrMc)
    {
        this.jsrMc = jsrMc;
    }

    public String getJsrMc()
    {
        return jsrMc;
    }

    public void setFfrId(Long ffrId)
    {
        this.ffrId = ffrId;
    }

    public Long getFfrId()
    {
        return ffrId;
    }

    public void setFfrMc(String ffrMc)
    {
        this.ffrMc = ffrMc;
    }

    public String getFfrMc()
    {
        return ffrMc;
    }

    public void setQmyy(String qmyy)
    {
        this.qmyy = qmyy;
    }

    public String getQmyy()
    {
        return qmyy;
    }

}
